<!DOCTYPE html>
<html lang="en">
    <head>
        <title>Category List</title>

    </head>
    <body>
        <header>
            <nav>
                <ul>
                    <li><a class="header_link" style="text-decoration:none; color:blue" href="{% url 'home' %}">Home</a></li>
                    <li><a class="header_link" style="text-decoration:none; color:blue" href="{% url 'create_category' %}">Create a Category</a></li>
                </ul>
            </nav>
        </header>
        <main>
        <h1>Category List</h1>
        <table>
            <thead>
                <tr>
                    <th>Name</th>
                    <th>Number of Receipts</th>
                </tr>
            </thead>
            <tbody>
                {% for category in categories %}
                <tr>
                    <td>{{ category.name }}</td>
                    <td>{{ category.number.all|length }}</td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
        </main>
    </body>
</html>
